# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/mips/econet.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: EcoNet MIPS SoCs

maintainers:
  - Caleb James DeLisle <cjd@cjdns.fr>

properties:
  $nodename:
    const: '/'

  compatible:
    oneOf:
      - description: Boards with EcoNet EN751221 family SoC
        items:
          - enum:
              - smartfiber,xp8421-b
          - const: econet,en751221

additionalProperties: true

...
